Subject: Re: [bug#75206] [PATCH rust-team v2 0/9] Slight updates
From: Steve George <[email-masked]>
To: [email-masked]
Cc: Aaron Covrig <[email-masked]>
Date: Mon, 7 Apr 2025 17:11:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Applied this series that Herman sent in.

Herman - as I understand it the current requirement in the manual is that a patch should contain changes that "Verify that your patch contains only one set of related changes" (https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html). Some of them were very atomised, so changing a snippet and a build option split into two patches. I don't think you *have* to do it this way, unless you wish to! 

Aaron - if you review a patch meaning you download it, apply it, build it and if possible install it then feel free to add a 'Reviewed-by' trailer when you reroll it. Doing reviews is a great contribution!

Details below:

On Sun, 19 Jan 2025 21:48:56 -0500, Aaron Covrig via Guix-patches via wrote:
> Thank you for your contribution Herman, I went ahead and re-based
> these patches against the latest branch commit and dropped patch #8 for
> rust-rustls-ffi-0.8 as it was removed from the rust-team branch.
> 
> Herman Rimm (9):
>   gnu: rust-structopt-0.3: Use snippet.
>   gnu: rust-structopt-0.3: Build.
>   gnu: rust-syn-2: Use snippet.
>   gnu: rust-syn-1: Inherit rust-syn-2.
>   gnu: rust-syn-0.11: Use snippet.
>   gnu: rust-synom-0.11: Use snippet.
>   gnu: rust-synom-0.11: Fix build.
>   gnu: rust-uint-0.9: Use snippet.
>   gnu: rust-user32-sys-0.2: Use snippet.
> 
> [...]

Applied, thanks!

[1/9] gnu: rust-structopt-0.3: Use snippet.
      commit: 8b40c7fd60e513d8d0355fd729b9aa9ca688e838
[2/9] gnu: rust-structopt-0.3: Build.
      commit: de1f41669bc2c80838d7e558971d465d6f6d1a55
[3/9] gnu: rust-syn-2: Use snippet.
      commit: 484885be6dc62d51abf79ef24b2b8e0227b87e42
[4/9] gnu: rust-syn-1: Inherit rust-syn-2.
      commit: 018151f7ac641b529c40ac1742486ace25673db6
[5/9] gnu: rust-syn-0.11: Use snippet.
      commit: 47904214639e75cff6f26b2d92b8aa488ab4918d
[6/9] gnu: rust-synom-0.11: Use snippet.
      commit: 2014c1bbeb91701be0c94384315e119e2a45afdf
[7/9] gnu: rust-synom-0.11: Fix build.
      commit: 4c436da549905238c2161f80ad7ed3e1a651535e
[8/9] gnu: rust-uint-0.9: Use snippet.
      commit: 076e3f3b237aa307bfa40147859f8deb4bec7f9b
[9/9] gnu: rust-user32-sys-0.2: Use snippet.
      commit: 7be2b8f57f6986654f198b43b4e96833e18b1a77

Best regards,
-- 
Steve George <[email-masked]>